Subject: bug#63742: closed (Re: bug#63710: use-package not working)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Jun 2023 10:08:04 +0000

Your bug report

#63710: 30.0.50; [BUG] package.el having a hard time

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63710: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63710
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63710: use-package not working
From: Pedro Andres Aranda Gutierrez <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Andrea Corallo <[email-masked]>
Date: Mon, 5 Jun 2023 12:06:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

HI,
I was going to suggest it. I have rebuilt emacs w/native today and it seems
to be stable.

Thanks! /PA

On Mon, 5 Jun 2023 at 10:36, Andrea Corallo <[email-masked]> wrote:

> Andrea Corallo <[email-masked]> writes:
>
> > Andrea Corallo <[email-masked]> writes:
> >
> >> Andrea Corallo <[email-masked]> writes:
> >>
> >>> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
> >>>
> >>>> First: the .emacs.d/init.el test file
> >>>>
> >>>> ------
> >>>> ;;
> >>>> ;; My .emacs file
> >>>> ;;
> >>>> (require 'package)
> >>>> (setq package-archives '(("melpa" . "https://melpa.org/packages/")
> >>>> ("gnu" . "https://elpa.gnu.org/packages/")
> >>>>                          ("melpa-stable" . "
> https://stable.melpa.org/packages/")
> >>>> ("nongnu" . "https://elpa.nongnu.org/nongnu/")))
> >>>> (eval-when-compile
> >>>>   (require 'use-package))
> >>>> (unless (file-directory-p package-user-dir)
> >>>>     (package-refresh-contents))
> >>>> (require 'use-package-ensure)
> >>>> (setq use-package-always-ensure t)
> >>>>
> >>>> (use-package "compat")
> >>>> ------
> >>>>
> >>>> Second: 1d5b164109b59559d34c545c2a163fa067ca22b2 does work
> >>>>
> >>>> BTW,  it has to do with native compilation. I have accidentally not
> deleted the eln-cache in on of the tests and the
> >>>> 'wrong' Emacs has started correctly:
> >>>> 1. started 1d5b164109b59559d34c545c2a163fa067ca22b2 with eln-clean
> cache ---> OK
> >>>> 2. started b2b2be98da5825e6bc130999ffe38f5ed615586a with eln-cache
> from the last start --> OK
> >>>> 3. started b2b2be98da5825e6bc130999ffe38f5ed615586a with clean
> eln-cache ---> KO
> >>>
> >>>>From these SHA1s looks like there's good chance it's my fault...
> >>>
> >>> I'll have a look.
> >>
> >> Okay I did some investigation and understood the issue.
> >>
> >> `package-load-descriptor' was misscompiled and returning always nil as
> >> the compiler was not fully picking up the user defined types at compile
> >> time, it worked only after the first faulty compilation (thing that made
> >> the investigaiton a bit slower).
> >>
> >> I'm working on a more complete fix but this requires careful testing, I
> >> pushed now c8e527cbeee in order to have master stable again while I keep
> >> working on the most comprehensive fix.
> >
> > Okay RE-sending from this account and ditching my sdf.org probably
> > forever as I'm getting a bunch of bounces classifying it again as spam:
> >
> > Hi all,
> >
> > I pushed what I think is the final fix and reverted the temporary one.
> >
> > As of fbc96dcc4ea I'm not aware of any issue with package.el or other
> > code.
> >
> > Please let us know if works for you and we can close the bug or, if any
> > other issue arise (please remember to clean the eln-cache before testing
> > as it may contain misscompiled code ;).
>
> Okay one week passed since the fix was pushed and no more issues were
> reported on this, so I'm closing it.  Happy to reopen in case.
>
> BR
>
>   Andrea
>

-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet

Subject: 30.0.50; [BUG] package.el having a hard time
From: Ruijie Yu <[email-masked]>
To: [email-masked]
Date: Sat, 27 May 2023 11:10:24 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have recompiled Emacs master yesterday, but this build has had a hard
time processing my init.el file (saying that PKG-pkg.el files are not
found, where they indeed are).  I wasn't able to reproduce this exact
problem, but upon digging further, I found one issue which I can
reproduce it reliably in -Q environment, and which is probably related
to the other unreproducible issue.

    $ cd $(mktemp -d)
    $ HOME=$PWD XDG_CONFIG_HOME=$HOME/.config emacs -Q
    M-x package-initialize RET
    M-x list-packages RET
    ;; And wait for it to finish listing packages from gnu and nongnu

    / n xr RET
    ;; find some package to install, any package suffices
    i x SPC
    ;; Install it

Observe the error message shown in the minibuffer.  The following is the
full message from trying to install the package.

--8<---------------cut here---------------start------------->8---
Packages to install: 1 (xr-1.23).  Proceed? (y or n) y
Operation [ Install 1 ] started
Setting ‘package-selected-packages’ temporarily since "emacs -q" would overwrite customizations
Contacting host: elpa.gnu.org:443 [2 times]
Parsing tar file...done
Extracting...done
  INFO     Scraping files for loaddefs...done
  GEN      xr-autoloads.el
package-unpack: Wrong type argument: package-desc, nil
--8<---------------cut here---------------end--------------->8---

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.17.8) of 2023-05-26 built on ruijie
Repository revision: bb7605c087006b714236165f88341545355d3673
Repository branch: makepkg
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-modules --without-libotf --without-m17n-flt --without-gconf
 --enable-link-time-optimization --with-native-compilation=aot
 --with-xinput2 --with-pgtk --without-xaw3d --with-sound=alsa
 --with-tree-sitter '--program-transform-name=s/\([ec]tags\)/\1.emacs/'
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions
 -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
 -fstack-clash-protection -fcf-protection'
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER WEBP XIM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

-- 
Best,

RY